# The link to binary should be made in directory from this list
# it will be tried using THIS order

BINARY=nplivemath.so

if [ ! -f $BINARY ]; then
	echo "$BINARY doesn't exist."
 	echo "Maybe you ran this script from unapproperiate directory."
    echo "It should be run from main directory of the product."
	
    exit -1
fi

if [ $UID == 0 ]; then
	echo "Installing globally - for all users"
	GLOBAL="true"
fi

BIN_DIRS="$HOME/.mozilla/plugins"

if [ "$GLOBAL" == "true" ]; then
	BIN_DIRS="/usr/lib/mozilla/plugins"
fi

# now actually makes the link - trying directories in the same order 
for bindir in $BIN_DIRS
do
	if [ ! -e $bindir ]; then
 		mkdir -p $bindir
  	fi 
	
   	cp -f $BINARY $bindir/$BINARY
done

echo "Installation of plugin was successfull."
